summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2018-05-15 16:50:28 +0100
committer David Spencer <idlemoor@slackbuilds.org>2018-05-15 16:50:51 +0100
commitf71b67495334838fe6b15838fe44bdea75d3cc31 (patch)
treef454acb4cafa0edccff4c483bc6fd524a3d9b378
parentd8fda50a5e5860a8a1681fd65981ebd576e1a965 (diff)
downloadslackbuilds-f71b67495.tar.gz
slackbuilds-f71b67495.tar.xz
network/liferea: Updated for version 1.12.3 + new maintainer.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/liferea/README8
-rw-r--r--network/liferea/liferea.SlackBuild51
-rw-r--r--network/liferea/liferea.info14
-rw-r--r--network/liferea/slack-desc14
4 files changed, 45 insertions, 42 deletions
diff --git a/network/liferea/README b/network/liferea/README
index cbdd082..fa45367 100644
--- a/network/liferea/README
+++ b/network/liferea/README
@@ -1,4 +1,4 @@
-Liferea is an aggregator for online news feeds. There are many other news
-readers available, but these others are not available for Linux or require
-many extra libraries to be installed. Liferea tries to fill this gap by
-creating a fast, easy to use, easy to install news aggregator for GTK/GNOME.
+Liferea is a web feed reader/news aggregator that brings together all
+of the content from your favorite subscriptions into a simple interface
+that makes it easy to organize and browse feeds. Its GUI is similar to
+a desktop mail/newsclient, with an embedded graphical browser.
diff --git a/network/liferea/liferea.SlackBuild b/network/liferea/liferea.SlackBuild
index 91fbf8e..89a9b65 100644
--- a/network/liferea/liferea.SlackBuild
+++ b/network/liferea/liferea.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
-#
-# Slackware build script for liferea
-#
+
+# Slackware build script for Liferea
+
# Copyright 2009-2015 Erik W. Hanson, Minneapolis, MN, USA
+# Copyright 2018 Andrzej Telszewski, Szczecin
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,25 +12,25 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=liferea
-VERSION=${VERSION:-1.10.19}
+VERSION=${VERSION:-1.12.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -54,23 +55,23 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
-./configure \
+./autogen.sh \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
@@ -81,14 +82,16 @@ CFLAGS="$SLKCFLAGS" \
--disable-schemas-compile
make V=1
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
gzip -9 $PKG/usr/man/man?/*.?
gzip -9 $PKG/usr/man/pl/man?/*.?
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -ar AUTHORS COPYING ChangeLog INSTALL README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/liferea/liferea.info b/network/liferea/liferea.info
index a02d386..13d235b 100644
--- a/network/liferea/liferea.info
+++ b/network/liferea/liferea.info
@@ -1,10 +1,10 @@
PRGNAM="liferea"
-VERSION="1.10.19"
-HOMEPAGE="http://liferea.sourceforge.net/"
-DOWNLOAD="https://github.com/lwindolf/liferea/releases/download/v1.10.19/liferea-1.10.19.tar.bz2"
-MD5SUM="78d8447a855a77ac4a5256617bdb1490"
+VERSION="1.12.3"
+HOMEPAGE="https://lzone.de/liferea/"
+DOWNLOAD="https://github.com/lwindolf/liferea/archive/v1.12.3/liferea-1.12.3.tar.gz"
+MD5SUM="05b8099703b5926c96a14847383f429a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="json-glib libpeas webkitgtk3"
-MAINTAINER="Erik Hanson"
-EMAIL="erik@slackbuilds.org"
+REQUIRES="json-glib libpeas python3 webkit2gtk"
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
diff --git a/network/liferea/slack-desc b/network/liferea/slack-desc
index 1b248ed..caa3953 100644
--- a/network/liferea/slack-desc
+++ b/network/liferea/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-liferea: liferea (A simple and free GTK desktop news aggregator for Unix)
+liferea: liferea (Web feed reader/news aggregator)
liferea:
-liferea: Liferea is an aggregator for online news feeds. There are many
-liferea: other news readers available, but these others are not available
-liferea: for Linux or require many extra libraries to be installed.
-liferea: Liferea tries to fill this gap by creating a fast, easy to use,
-liferea: easy to install news aggregator for GTK/GNOME.
+liferea: Liferea is a web feed reader/news aggregator that brings together
+liferea: all of the content from your favorite subscriptions into a simple
+liferea: interface that makes it easy to organize and browse feeds. Its GUI
+liferea: is similar to a desktop mail/newsclient, with an embedded graphical
+liferea: browser.
liferea:
-liferea: http://liferea.sourceforge.net/
+liferea: Homepage: https://lzone.de/liferea/
liferea:
liferea: